Comment a task

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/tasks/{task_id}/comment

Add a comment to a task and set the status of the task. Thus, the comments keep the history of the status changes. Send JSON, or send a multipart form to attach files. You must be able to do actions on the task. Managers and clients of the project, the assignees, the supervisors of the department of the task and the creator of the entity can do actions. A user who is mentioned on the task, but cannot do actions on it, can comment with the current status only. Vendors cannot use the mention rule.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

Body Required

  • task_status_id string(uuid) Required

    New status of the task

  • comment string

    Text of the comment

    Default value is empty.

  • person_id string(uuid)

    Author of the comment. Managers only. Else the author is the current user.

  • created_at string

    Creation date of the comment. Managers only.

  • checklist array[object]

    Checklist items. In a multipart form, send a JSON string.

  • links array[string]

    URLs linked to the comment. In a multipart form, send a JSON string.

  • for_client boolean

    Show the comment to the clients. Managers only.

    Default value is false.

Body Required

  • task_status_id string(uuid) Required

    New status of the task

  • comment string

    Text of the comment

    Default value is empty.

  • person_id string(uuid)

    Author of the comment. Managers only. Else the author is the current user.

  • created_at string

    Creation date of the comment. Managers only.

  • checklist array[object]

    Checklist items. In a multipart form, send a JSON string.

  • links array[string]

    URLs linked to the comment. In a multipart form, send a JSON string.

  • for_client boolean

    Show the comment to the clients. Managers only.

    Default value is false.

  • files array[string(binary)]

    Files to attach

Responses

  • 201 application/json

    The new comment

    Hide response attributes Show response attributes object
    • id string(uuid)

      Comment unique identifier

    • task_id string(uuid)

      Task identifier

    • person_id string(uuid)

      Person identifier

    • comment string

      Comment text content

    • task_status_id string(uuid)

      Task status identifier

    • created_at string(date-time)

      Creation timestamp

  • 400

    The body is not valid

  • 403

    You cannot do actions on this task, or you cannot use this task status

  • 404

    The task does not exist

POST /actions/tasks/{task_id}/comment
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comment" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "task_status_id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "comment": "This looks great! Ready for review.",
  "person_id": "d57d9hd7-fh08-7998-d403-80786315f58",
  "created_at": "2023-01-01T12:00:00Z",
  "checklist": {
    "item1": "Check lighting",
    "item2": "Verify textures"
  },
  "links": [
    "https://example.com/reference1",
    "https://example.com/reference2"
  ]
}'
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comment"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "task_status_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "comment": "This looks great! Ready for review.",
    "person_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "created_at": "2023-01-01T12:00:00Z",
    "checklist": {
        "item1": "Check lighting",
        "item2": "Verify textures"
    },
    "links": [
        "https://example.com/reference1",
        "https://example.com/reference2"
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "comment": "",
  "person_id": "string",
  "created_at": "2026-10-28T10:00:00",
  "checklist": [
    {}
  ],
  "links": [
    "string"
  ],
  "for_client": false
}
Response examples (201)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "task_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d57d91d7-f108-7998-d403-80786315f580",
  "comment": "This looks great! Ready for review.",
  "task_status_id": "c46c80c6-e097-6887-c292-79675204e470",
  "created_at": "2023-01-01T12:00:00Z"
}